Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.consultation.protocol.v3
Class EhBoxConsultationService

    java.lang.Object
      javax.xml.ws.Service
          be.fgov.ehealth.ehbox.consultation.protocol.v3.EhBoxConsultationService

    @WebServiceClient(name="ehBoxConsultationService",
                      targetNamespace="urn:be:fgov:ehealth:ehbox:consultation:protocol:v3",
                      wsdlLocation="file:/C:/javadev/tools/jenkins/workspace/Release_connector-utilities-master_Git/ehboxv3/target/generated-resources/WSDL/ehealthbox_consultation_v3.wsdl")
    public class EhBoxConsultationService

extends Service

This class was generated by the JAX-WS RI. JAX-WS RI 2.1.6 in JDK 6 Generated source version: 2.1

Nested Class Summary

Nested classes/interfaces inherited from class javax.xml.ws.Service
`Service.Mode`

Constructor Summary
`EhBoxConsultationService()`
`EhBoxConsultationService(URL wsdlLocation, QName serviceName)`

Method Summary
`EhBoxConsultationPortType` | `getEhBoxConsultationPort()`
`EhBoxConsultationPortType` | `getEhBoxConsultationPort(WebServiceFeature... features)`

Methods inherited from class javax.xml.ws.Service
`addPort, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EhBoxConsultationService

    public EhBoxConsultationService(URL wsdlLocation,
                                    QName serviceName)

### EhBoxConsultationService

    public EhBoxConsultationService()

Method Detail

### getEhBoxConsultationPort

    @WebEndpoint(name="ehBoxConsultationPort")
    public EhBoxConsultationPortType getEhBoxConsultationPort()

  Returns:
    returns EhBoxConsultationPortType

### getEhBoxConsultationPort

    @WebEndpoint(name="ehBoxConsultationPort")
    public EhBoxConsultationPortType getEhBoxConsultationPort(WebServiceFeature... features)

  Parameters:
    `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
  Returns:
    returns EhBoxConsultationPortType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.